﻿
program TestFLRE;
{$I DIRECTIVES}

uses
  SysUtils,
  Classes,
  IOUtils,
  Diagnostics,

  FLRE in '..\..\src\FLRE.pas',
  FLREUnicode in '..\..\src\FLREUnicode.pas';

{$I PATTERN}

var
  expr: TFLRE;
  strings: TFLREMultiStrings;
  writer: TStreamWriter;
  watch: TStopWatch;
  i, j: integer;
  s: string;

begin
  s := TFile.ReadAllText('1.txt');
  expr := TFLRE.Create(PATTERN, [rfMultiLine]);
  writer := TFile.CreateText('2.txt');

  watch := TStopWatch.StartNew;
  if expr.ExtractAll(RawByteString(s), strings) then
  begin
    WriteLn(Format('%d ms', [watch.ElapsedMilliseconds]));

    for i := 0 to Length(strings) - 1 do
    begin
      //writer.Write(string(strings[i, 0]) + #13#10);
      for j := 1 to Length(strings[i]) - 1 do
        writer.Write(string(strings[i, j]));
      writer.WriteLine;
    end;

  end;
  writer.Close;

  SetLength(strings, 0);
  expr.Free;

  WriteLn('Terminé !');
  ReadLn;
end.

